<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="refilo_customer" translate="label" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
        <class>separator-top</class>
        <label>Customer</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Refilo::refilo_config</resource>
        <group id="address_validation" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Address Validation</label>
            <field id="firstname_lastname_sum" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Sum Length</label>
            </field>
            <field id="firstname_length" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Firstname Length</label>
            </field>
            <field id="lastname_length" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Lastname Length</label>
            </field>
            <field id="street_length" translate="label" type="text" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Street Length</label>
            </field>
            <field id="street_fields_number" translate="label" type="text" sortOrder="41" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Number of Street Fields</label>
            </field>
            <field id="postcode_length" translate="label" type="text" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Postcode Length</label>
            </field>
            <field id="city_length" translate="label" type="text" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>City Length</label>
            </field>
            <field id="region_length" translate="label" type="text" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Region Length</label>
            </field>
        </group>
        <group id="address_fields" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Address Fields</label>
            <field id="careof_enable" translate="label" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1" type="select">
                <label>Care Of Field Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
        </group>
    </section>
</include>
